### Constructor

# Gtk.Builder.new_from_resource

#### Declaration [src]

    GtkBuilder*
    gtk_builder_new_from_resource (
      const char* resource_path
    )

#### Description [src]

Parses the UI definition at `resource_path`.

If there is an error locating the resource or parsing the description, then the program will be aborted.

#### Parameters

`resource_path` | `const char*`
| a `GResource` resource path
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkBuilder`
a `GtkBuilder` containing the described interface
Ownership of the data is transferred to the caller